/**Applet de manipulation de la bibliothque*/
//Importation des librairies
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;
import java.util.*;
import biblio.*;

/**@author RIGHETTO Dominique
@version 1.1
@see Bibliotheque.java Documents.java Livre.java Revue.java*/

/**
Codes-sources utilisables selon 
la licence GNU General Public Licence
(voir fichier HTML joint*/


/**
<APPLET	code="ManipBiblio.class" width="500" height="300">
Votre navigateur ne supporte pas le java !
</APPLET>
*/



public class ManipBiblio extends Applet implements ActionListener
{
	Bibliotheque B;
	//dclaration des lments graphiques
	Label auteurLabel= new Label("Auteur : ");
	Label titreLabel=  new Label("Titre  : ");
	Label editionLabel=new Label("Edition: ");
	Label specialiteLabel=new Label("Specialit : ");
	TextField champAuteur = new TextField(10);
	TextField champTitre = new TextField(10);
	TextField champEdition = new TextField(10);
	TextField champSpecialite= new TextField(10);				
	Button boutonAjouter = new Button("AJOUTER");
	Button boutonRechercher = new Button("RECHERCHER");
	Choice choixDocument = new Choice();
	java.awt.List tousLesDocuments=new java.awt.List(4);
	
	
	/**Mthode pour initialiser l'Applet*/
	public void init()
	{
	String Nom = JOptionPane.showInputDialog("Nom de la bibliothque : ");
	B=new Bibliotheque(Nom);
	showStatus(Nom);
	//choix du gestionnaire graphique
	setLayout(new GridLayout(14,1));
	//ajout des Elts au gestionnaire
	add(auteurLabel);
	add(champAuteur);
	add(titreLabel);
	add(champTitre);
	add(editionLabel);
	add(champEdition);
	add(specialiteLabel);
	add(champSpecialite);
	choixDocument.add("Livre");
	choixDocument.add("Revue");
	choixDocument.select("Livre");
	add(choixDocument);
	add(boutonAjouter);
	add(boutonRechercher);
	add(tousLesDocuments);
	//ajout des ecouteurs d'evenement
	boutonAjouter.addActionListener(this);
	boutonRechercher.addActionListener(this);
	}
	
	/**Constructeur*/
	public ManipBiblio()
	{}
	
	/**Mthode de dessin*/
	public void paint(Graphics g)
	{
	Enumeration leVecteur;
	Documents temp;
	
	showStatus("Bibliothque : "+B.retournerNom());
	leVecteur=B.retournerVecteur();
	tousLesDocuments.removeAll();
	while(leVecteur.hasMoreElements())
		{
			temp=(Documents)leVecteur.nextElement();
			tousLesDocuments.add(temp.affiche());
		}
	}	

 /**Mthode d'action si on clique sur le bouton*/
 public void actionPerformed(ActionEvent evt)
 {
	int choix;
	String nomDuBouton;
	String auteurRecherche;
	Object[] reponsePossible= { "Livre", "Revue"};
	
	
	nomDuBouton=evt.getActionCommand();
	if(nomDuBouton.equals("AJOUTER"))
	{
		choix=choixDocument.getSelectedIndex();

 		switch(choix)
 		{
 			case 0 :{
 				    B.ajout(new Livre(champTitre.getText(),champAuteur.getText(),champEdition.getText()));
 			    	champTitre.setText("");
 			    	champAuteur.setText("");
	 			    champEdition.setText("");
 				    JOptionPane.showMessageDialog(null, "Livre ajout !","Ajout de document", JOptionPane.INFORMATION_MESSAGE);
 				    repaint();
 				    break;
 			    	}
	 		case 1 :{	
 				    B.ajout(new Revue(champTitre.getText(),champSpecialite.getText()));
 				    champTitre.setText("");
 				    champSpecialite.setText("");
 			    	JOptionPane.showMessageDialog(null, "Revue ajoute !","Ajout de document", JOptionPane.INFORMATION_MESSAGE);
 			    	repaint();
 			    	break;
 			    	}
 		}		            
 	}
 	
 	if(nomDuBouton.equals("RECHERCHER"))
 	{
 		
   Object reponseChoisie = JOptionPane.showInputDialog(null, "Choix du document  rechercher", "Input",JOptionPane.INFORMATION_MESSAGE, null,reponsePossible, reponsePossible[0]);
   
   
  if (reponseChoisie=="Livre")
     {
	      auteurRecherche = JOptionPane.showInputDialog("Nom de l'auteur recherch : ");
 	      if(B.rechercheParAuteur(auteurRecherche))
 		       JOptionPane.showMessageDialog(null, "Ouvrage trouv !","Recherche de "+auteurRecherche, JOptionPane.INFORMATION_MESSAGE);
	      else
		       JOptionPane.showMessageDialog(null, "Ouvrage absent !","Recherche de "+auteurRecherche, JOptionPane.INFORMATION_MESSAGE);
 	  }
 	 else
 	 
 	  {
 	  
 	  	   auteurRecherche = JOptionPane.showInputDialog("Titre de la revue recherche : ");
 	      if(B.presentRevue(auteurRecherche))
 		       JOptionPane.showMessageDialog(null, "Revue trouve !","Recherche de "+auteurRecherche, JOptionPane.INFORMATION_MESSAGE);
	      else
		       JOptionPane.showMessageDialog(null, "Revue absente !","Recherche de "+auteurRecherche, JOptionPane.INFORMATION_MESSAGE);  	
 	  }	 
 	
 	}	
 		            
 }
 
} 		