/*
Package de classes pour la manipulation de la bibliothque
**/
package biblio;

/**Importation des librairies 
pour les classes conteneurs VECTOR & ENUMERATION*/
import java.util.*;

/**Dclaration de la classe principale BIBLIOTHEQUE*/
public class Bibliotheque
{ //Donnes membres
	Vector tableau=new Vector();
	String nomBiblio=new String("");
	
	/**Constructeur*/
	public Bibliotheque(String n)
	{
		nomBiblio=n;
	}
	
	/**Mthode pour ajouter un document*/
	public void ajout(Documents d)
	{
		tableau.addElement(d);
	}
	
	/**Mthode pour retourner le nom de la bibliothque*/
	public String retournerNom()
	{return(nomBiblio);}
	
	/**Mthode pour afficher tous les documents de la bibliothque
	public String afficher()
	{
		Enumeration ensemble;
		Documents temp;
		
		ensemble=tableau.elements();
		while(ensemble.hasMoreElements())
		{
			temp=(Documents)ensemble.nextElement();
			temp.affiche();
		}
	}*/	
	
  /**Mthode pour retourner un type numration*/
  public Enumeration retournerVecteur()
  {
  return(tableau.elements());	
  }

  /**Mthode pour rechercher un auteur par son nom*/
  public boolean rechercheParAuteur(String nom)
  {
  	Enumeration ensemble;
  	Documents doc;
  	boolean trouve=false;
  	
  	ensemble=tableau.elements();
  	while(ensemble.hasMoreElements())
  	{
  		doc=(Documents)ensemble.nextElement();
  		if (doc instanceof Livre)
  		     if(((Livre)doc).auteur.equals(nom))
  		         trouve=true;
  	}
  return(trouve);
  }		                 


  /**Mthode pour tester si une revue est prsente 
  dans la bibliothque*/
  public boolean presentRevue(String sonNom)
  {
  	Enumeration ensemble;
  	Documents doc;
  	boolean trouve;
  	
  	trouve=false;
  	ensemble=tableau.elements();
  	while(ensemble.hasMoreElements())
  	{
  		doc=(Documents)ensemble.nextElement();
  		if (doc instanceof Revue)
  		     if(((Revue)doc).titre.equals(sonNom))
  		         trouve=true;
  	}
  	return(trouve);
  }	
  
  /**Mthode pour retourner le nombre d'lments*/
  public int compter()
  {
  int stock;
  
  stock=tableau.size();
  return(stock);
  }
}
